Actions

J3.x talk

Database schema version (3.2.3-2014-02-20) does not match CMS version (3.2.3)

From Joomla! Documentation

Wrong version tag

This topic has a wrong version tag. It says J3.3 while it should be J3.2. Please correct. Sovainfo (talk) 05:40, 1 May 2014 (CDT)

Yesterday we released 3.3, so the namespace was changed to reflect J3.3. There is no way to set the top tag, it is the namespace of the page. That said, there are a couple of options I have been kicking around. We definitely use docs a lot for FAQs. We also have a new version strategy in place which could lead to the namespace just being a simple J3.x.
Options:
  1. Just namespace and move all FAQs to a namespace called FAQ. Benefits, they are more prominently marked as a FAQ. Down the road we could Semantic MediaWiki this namespace and add Forms for reporting. Fill out the form, save and let SMW take care of everything. Automatic categorisation, lists by version, easier to search for FAQs. I have already half implemented this on FAQ category pages. Give a page title and click create, uses a boilerplate editor window fill of text.
  2. The easy way out. Wait a few months and when the full development strategy is in place and we are done stripping out LTS and STS and the like, namespace J3.3 or J3.4, etc can eventually be made a static J3.x. Our docs strategy is to only support docs for the current versions supported. FAQs are a different story as they answer questions moving along the development and use of Joomla path to the current version.
Thoughts? Tom Hutchison (talk) 08:09, 1 May 2014 (CDT)
Thank you for the answer, appreciated. Too bad it can't be changed, it is fixed in J3.3. I like both the options you suggest, not sure that I understand why we can't use J3.x right now. The information I want to get across is that it applies to j3.2.3 and is solved in j3.3. Now it looks like the problem still exists. Sovainfo (talk) 19:48, 3 May 2014 (CDT)